> ## Name

> TexGenTMode - 3D API tex gen T mode

> ## Usage

> TexGenTMode[i] = int(mode)

> ## Valid Enumerants

> mode: ObjectLinear, EyeLinear, SphereMap, ReflectionMap, NormalMap

> ## Description

> Specify the T texture coordinate generation mode. See the GL_TEXTURE_GEN_MODE description on the OpenGL glTexGen manual page for details.

> The standard reset callback sets the TexGenTMode[i] state to int(EyeLinear).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> Not applicable.

> ## See Also

> TexGenTEnable, TexGenTEyePlane, TexGenTObjectPlane, TexGenQMode, TexGenRMode, TexGenSMode